// pages/emergency/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    visible: false,
    current: ['checkbox1', 'checkbox2'],
    options: [
      
      {
        label: '发热',
        value: 'checkbox1',
        content: '体温≥38°',
        maxContentRow: 2,
        icon: "rectangle"
      },
      {
        label: '白色或陶土样大便',
        value: 'checkbox2',
        content: '排便颜色异常',
        maxContentRow: 2,
        // defaultChecked: ' default-checked',
        icon: "rectangle"
      },
      {
        label: '腹胀/食欲下降',
        value: 'checkbox3',
        content: '消化系统不适',
        maxContentRow: 2,
        icon: "rectangle"
      },
      {
        label: '消化道出血',
        value: 'checkbox4',
        content: '血便或黑便',
        maxContentRow: 2,
        icon: "rectangle"
      },
    ],
  },

  openFlow(){
    this.setData({
      visible: true
    })
  },
  closeFlow(){
    this.setData({
      visible: false
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})